Subject: Re: bug#79180: 31.0.50; Customize-browse emits treesit warnings

From: Juri Linkov <[email-masked]>
Date: Sun, 10 Aug 2025 09:50:47 +0300

>> >> I have a patch that removes these warnings.
>> >> Should I post it here or on emacs-devel?
>> >
>> > Please post here, and thanks.  If it turns out a more general
>> > discussion is needed, we will start it on emacs-devel then.
>> 
>> This new option was discussed many times on emacs-devel,
>> and here it's finally implemented.  As an example the patch
>> demonstrates the required changes only for markdown-ts-mode, and
>> similarly the same changes will be applied to all other ts-modes:
>
> Sorry, I'm probably missing something: this patch seems to completely
> remove the warning about manual activation of, say, markdown-ts-mode
> when the grammar library is not installed?

It removes the warning during loading the markdown-ts-mode.el package
with e.g. `(require 'markdown-ts-mode)`.

> IOW, what happens under this patch if the user says "M-x
> markdown-ts-mode RET" and the grammar library is not installed?

It proposes to install the grammar library:

  Tree-sitter grammar for `markdown' is missing; install it? (y or n)